.\" Man page generated from reStructuredText.
.
.
.nr rst2man-indent-level 0
.
.de1 rstReportMargin
\\$1 \\n[an-margin]
level \\n[rst2man-indent-level]
level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
-
\\n[rst2man-indent0]
\\n[rst2man-indent1]
\\n[rst2man-indent2]
..
.de1 INDENT
.\" .rstReportMargin pre:
. RS \\$1
. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
. nr rst2man-indent-level +1
.\" .rstReportMargin post:
..
.de UNINDENT
. RE
.\" indent \\n[an-margin]
.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
.nr rst2man-indent-level -1
.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
..
.TH "FSCK.S3QL" "1" "Nov 02, 2024" "5.2.3" "S3QL"
.SH NAME
fsck.s3ql \- Check an S3QL file system for errors
.SH SYNOPSIS
.INDENT 0.0
.INDENT 3.5
.sp
.nf
.ft C
fsck.s3ql [options] <storage url>
.ft P
.fi
.UNINDENT
.UNINDENT
.SH DESCRIPTION
.sp
S3QL is a file system for online data storage. Before using S3QL, make
sure to consult the full documentation (rather than just the man pages
which only briefly document the available userspace commands).
.sp
The \fBfsck.s3ql\fP command checks the file system in the location specified by \fIstorage url\fP
for errors and attempts to repair any problems. The format of the storage url depends on
the backend that is used. The S3QL User\(aqs Guide should be consulted for a description of
the available backends.
.SH OPTIONS
.sp
The \fBfsck.s3ql\fP command accepts the following options.
.INDENT 0.0
.INDENT 3.5
.INDENT 0.0
.TP
.BI \-\-log \ <target>
Destination for log messages. Specify \fBnone\fP for
standard output or \fBsyslog\fP for the system logging
daemon. Anything else will be interpreted as a file
name. Log files will be rotated when they reach 1 MiB,
and at most 5 old log files will be kept. Default:
\fB~/.s3ql/fsck.log\fP
.TP
.BI \-\-cachedir \ <path>
Store cached data in this directory (default:
\fB~/.s3ql)\fP
.TP
.BI \-\-debug\-modules \ <modules>
Activate debugging output from specified modules (use
commas to separate multiple modules, \(aqall\(aq for
everything). Debug messages will be written to the
target specified by the \fB\-\-log\fP option.
.TP
.B  \-\-debug
Activate debugging output from all S3QL modules. Debug
messages will be written to the target specified by
the \fB\-\-log\fP option.
.TP
.B  \-\-quiet
be really quiet
.TP
.BI \-\-backend\-options \ <options>
Backend specific options (separate by commas). See
backend documentation for available options.
.TP
.B  \-\-version
just print program version and exit
.TP
.BI \-\-authfile \ <path>
Read authentication credentials from this file
(default: \fB~/.s3ql/authinfo2)\fP
.TP
.BI \-\-compress \ <algorithm\-lvl>
Compression algorithm and compression level to use
when storing new data. \fIalgorithm\fP may be any of
\fBlzma\fP, \fBbzip2\fP, \fBzlib\fP, or none. \fIlvl\fP may be any
integer from 0 (fastest) to 9 (slowest). Default:
\fBlzma\-6\fP
.TP
.B  \-\-keep\-cache
Do not purge locally cached files on exit.
.TP
.B  \-\-batch
If user input is required, exit without prompting.
.TP
.B  \-\-force
Force checking even if file system is marked clean.
.TP
.B  \-\-force\-remote
Force use of remote metadata even when this would
likely result in data loss.
.UNINDENT
.UNINDENT
.UNINDENT
.SH EXIT CODES
.sp
If \fBfsck.s3ql\fP found any file system errors (no matter if they were
corrected or not), the exit code will be 128 plus one of the codes
listed below. If no errors were found, the following exit codes are
used as\-is:
.INDENT 0.0
.TP
.B 0
Everything went well.
.TP
.B 1
An unexpected error occurred. This may indicate a bug in the
program.
.TP
.B 2
Invalid command line argument or configuration file key.
.UNINDENT
.INDENT 0.0
.TP
.B 3
Invalid backend option.
.TP
.B 10
Could not open log file for writing.
.TP
.B 11
No such backend.
.TP
.B 12
Authentication file has insecure permissions.
.TP
.B 13
Unable to parse proxy settings.
.TP
.B 14
Invalid credentials (Authentication failed).
.TP
.B 15
No permission to access backend (Authorization denied).
.TP
.B 16
Invalid storage URL, specified location does not exist in backend.
.TP
.B 17
Wrong file system passphrase.
.TP
.B 18
No S3QL file system found at given storage URL.
.TP
.B 19
Unable to connect to backend, can\(aqt resolve hostname.
.TP
.B 32
Unsupported file system revision (too old).
.TP
.B 33
Unsupported file system revision (too new).
.TP
.B 40
Cannot check mounted file system.
.TP
.B 41
User input required, but running in batch mode.
.TP
.B 42
File system check aborted by user.
.TP
.B 43
Local metadata is corrupted.
.TP
.B 44
Uncorrectable errors found.
.TP
.B 45
Unable to access cache directory.
.TP
.B 128
This error code will be \fIadded\fP to one of the codes above if any
file system errors have been found (no matter if they were
corrected or not).
.UNINDENT
.SH SEE ALSO
.sp
The S3QL homepage is at \fI\%https://github.com/s3ql/s3ql/\fP\&.
.sp
The full S3QL documentation should also be installed somewhere on your
system, common locations are \fB/usr/share/doc/s3ql\fP or
\fB/usr/local/doc/s3ql\fP\&.
.SH COPYRIGHT
© 2008 Nikolaus Rath <Nikolaus@rath.org>
.\" Generated by docutils manpage writer.
.
